body {
    background-color: #f4f4f9;
    margin: 0;
    font-family: Arial, sans-serif;
}

form input {
    width: calc(100% - 20px);
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 14px;
}

button {
	margin: 10px 10px;
    padding: 10px;
    background-color: #007bff;
    border: none;
    border-radius: 5px;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

table {
    width: 100%;
    border-collapse: collapse;
}

th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
}

th {
    cursor: pointer;
}

.centrado{
	flex-direction: column;
	align-items: center;
	display: flex;
	justify-content: center;
}

.login-container {
	position:relative;
	top: 10%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.login-box {
    background: #fff;
    padding: 20px;
	margin:20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 300px;
}

.login-box h1 {
    margin-bottom: 20px;
    color: #333;
}

.qr-section {
    margin-bottom: 20px;
}

.qr-image {
    width: 100px;
    height: 100px;
    object-fit: cover;
    margin-bottom: 10px;
}

.qr-section p {
    color: #666;
    font-size: 14px;
}

.contenedor{
	margin:50px;
}

.error{
	background: #ee6666;
	padding: 20px;
	color:#990000;
	align-items: center;
	justify-content: center;
}

#qr-reader{
	width: 450px;
	background: #fff;
	padding: 20px;
	border-radius: 10px;
}

#qr-result{
	border: 1px solid #ddd;
	background: #ffffff;
	border-radius: 10px;
}

